Subject: Re: In CVS Emacs, calc-eval gives multiplication higher precidence than division

From: "Richard M. Stallman" <[email-masked]>
Date: Tue, 09 Sep 2008 04:11:44 -0400

There's no need to change the longstanding defaults, because it would break
    things.  You already have a knob you can tweak if you think that "2 a / 3 b"
    should multiply by b, rather than divide by it.  That's a personal choice.

    Frankly, I'd never touch that knob, because it looks to me like it should
    divide by b.

I agree completely -- in that case, it is natural for b to go in the
denominator.

The same is true for 1 / 2 * 1000: the meaning of 1/2000 is more
natural, mathematically.

What Calc does now is clearly correct.